| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
DoxygenExample.h File Reference
Documentation » Doxygen Documentation Example

Doxygen Example. More...

## Detailed Description

Doxygen Example.

    ********Insert Notes Here

        Insert HTML Link Here

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Header File for DoxygenExample: Doxygen Example

Definition in file DoxygenExample.h.

Go to the source code of this file.

## Functions
void | function3 ()
| Message that describes the main function. More...
int | function4 (int var1, float var2)
| Message that describes the main function. More...

## Macros
#define | var1 123
| Message that describes the function of the variable. More...
#define | var2 'h'
| Message that describes the function of the variable. More...

## Function Documentation

## ◆ function3()

void function3 | ( |  | ) |

Message that describes the main function.

Returns
  void

Definition at line 63 of file DoxygenExample.cpp.

## ◆ function4()

int function4 | ( | int | var1,
|  | float | var2
| ) |  |

Message that describes the main function.

Returns
  Describe the return conditions

Parameters

  var1 | Message that describes the function of the variable
  var2 | Message that describes the function of the variable

Definition at line 69 of file DoxygenExample.cpp.

## Macro Definition Documentation

## ◆ var1

#define var1 123

Message that describes the function of the variable.

Definition at line 58 of file DoxygenExample.h.

## ◆ var2

#define var2 'h'

Message that describes the function of the variable.

Definition at line 59 of file DoxygenExample.h.